Index: asp3_tinet_ecnl_arm/trunk/musl-1.1.18/.cproject
===================================================================
--- asp3_tinet_ecnl_arm/trunk/musl-1.1.18/.cproject	(revision 352)
+++ asp3_tinet_ecnl_arm/trunk/musl-1.1.18/.cproject	(revision 364)
@@ -24,5 +24,5 @@
 			<storageModule moduleId="com.renesas.cdt.managedbuild.core.toolchainInfo">
 				<option id="toolchain.id" value="gcc-arm-embedded"/>
-				<option id="toolchain.version" value="5.4.1.20160919"/>
+				<option id="toolchain.version" value="6.3.1.20170620"/>
 			</storageModule>
 			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
@@ -151,5 +151,5 @@
 			<storageModule moduleId="com.renesas.cdt.managedbuild.core.toolchainInfo">
 				<option id="toolchain.id" value="gcc-arm-embedded"/>
-				<option id="toolchain.version" value="5.4.1.20160919"/>
+				<option id="toolchain.version" value="6.3.1.20170620"/>
 			</storageModule>
 			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
Index: asp3_tinet_ecnl_arm/trunk/musl-1.1.18/arch/arm/syscall_arch.h
===================================================================
--- asp3_tinet_ecnl_arm/trunk/musl-1.1.18/arch/arm/syscall_arch.h	(revision 352)
+++ asp3_tinet_ecnl_arm/trunk/musl-1.1.18/arch/arm/syscall_arch.h	(revision 364)
@@ -83,12 +83,26 @@
 long __syscall_ret(unsigned long), __syscall_nr(long nr, ...);
 
-#define __syscall(n, ...) n(__VA_ARGS__)
-#define __syscall_cp(n, ...) n(__VA_ARGS__)
-#define syscall(n, ...) __syscall_ret(__syscall(n, __VA_ARGS__))
-#define syscall_cp(n, ...) __syscall_ret(__syscall_cp(n, __VA_ARGS__))
+#define __syscall0(n) n()
+#define __syscall1(n,a) n(__scc(a))
+#define __syscall2(n,a,b) n(__scc(a),__scc(b))
+#define __syscall3(n,a,b,c) n(__scc(a),__scc(b),__scc(c))
+#define __syscall4(n,a,b,c,d) n(__scc(a),__scc(b),__scc(c),__scc(d))
+#define __syscall5(n,a,b,c,d,e) n(__scc(a),__scc(b),__scc(c),__scc(d),__scc(e))
+#define __syscall6(n,a,b,c,d,e,f) n(__scc(a),__scc(b),__scc(c),__scc(d),__scc(e),__scc(f))
+#define __syscall7(n,a,b,c,d,e,f,g) n(__scc(a),__scc(b),__scc(c),__scc(d),__scc(e),__scc(f),__scc(g))
 
-#define __syscall2(n, ...) n(__VA_ARGS__)
-#define __syscall3(n, ...) n(__VA_ARGS__)
-#define __syscall_cp2(n, ...) n(__VA_ARGS__)
-#define __syscall_cp3(n, ...) n(__VA_ARGS__)
+#define __syscall_cp0(n) n()
+#define __syscall_cp1(n,a) n(__scc(a))
+#define __syscall_cp2(n,a,b) n(__scc(a),__scc(b))
+#define __syscall_cp3(n,a,b,c) n(__scc(a),__scc(b),__scc(c))
+#define __syscall_cp4(n,a,b,c,d) n(__scc(a),__scc(b),__scc(c),__scc(d))
+#define __syscall_cp5(n,a,b,c,d,e) n(__scc(a),__scc(b),__scc(c),__scc(d),__scc(e))
+#define __syscall_cp6(n,a,b,c,d,e,f) n(__scc(a),__scc(b),__scc(c),__scc(d),__scc(e),__scc(f))
+#define __syscall_cp7(n,a,b,c,d,e,f,g) n(__scc(a),__scc(b),__scc(c),__scc(d),__scc(e),__scc(f),__scc(g))
+
+#define __SYSCALL_NARGS_X(a,b,c,d,e,f,g,h,n,...) n
+#define __SYSCALL_NARGS(...) __SYSCALL_NARGS_X(__VA_ARGS__,7,6,5,4,3,2,1,0,)
+#define __SYSCALL_CONCAT_X(a,b) a##b
+#define __SYSCALL_CONCAT(a,b) __SYSCALL_CONCAT_X(a,b)
+#define __SYSCALL_DISP(b,...) __SYSCALL_CONCAT(b,__SYSCALL_NARGS(__VA_ARGS__))(__VA_ARGS__)
 #endif
Index: asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/internal/syscall.h
===================================================================
--- asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/internal/syscall.h	(revision 352)
+++ asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/internal/syscall.h	(revision 364)
@@ -50,8 +50,8 @@
 #define __SYSCALL_CONCAT(a,b) __SYSCALL_CONCAT_X(a,b)
 #define __SYSCALL_DISP(b,...) __SYSCALL_CONCAT(b,__SYSCALL_NARGS(__VA_ARGS__))(__VA_ARGS__)
-#if 0
+
 #define __syscall(...) __SYSCALL_DISP(__syscall,__VA_ARGS__)
 #define syscall(...) __syscall_ret(__syscall(__VA_ARGS__))
-#endif
+
 #define socketcall __socketcall
 #define socketcall_cp __socketcall_cp
@@ -64,8 +64,7 @@
 #define __syscall_cp5(n,a,b,c,d,e) (__syscall_cp)(n,__scc(a),__scc(b),__scc(c),__scc(d),__scc(e),0)
 #define __syscall_cp6(n,a,b,c,d,e,f) (__syscall_cp)(n,__scc(a),__scc(b),__scc(c),__scc(d),__scc(e),__scc(f))
-
+#endif
 #define __syscall_cp(...) __SYSCALL_DISP(__syscall_cp,__VA_ARGS__)
 #define syscall_cp(...) __syscall_ret(__syscall_cp(__VA_ARGS__))
-#endif
 
 #ifndef SYSCALL_USE_SOCKETCALL
